Subject: <draft-hinden-6man-rfc2460bis-04.txt>

From: Bob Hinden <[email-masked]>
Date: Fri, 14 Aug 2015 10:57:05 -0700

I published the -04 version of the RFC2460bis draft.  See links below.

The purpose of this draft is to update the document to incorporate the update made by RFC6935 "UDP Checksums for Tunneled Packets”.   The update text in RFC6935 was rewritten to be consistent with the text in RFC2460, while accomplishing the same thing.

Other changes include:

   Remove Routing (Type 0) header from the list of required extension
   headers

   A few editorial changes

You can see the diff from the previous version at:

   https://tools.ietf.org/rfcdiff?url2=draft-hinden-6man-rfc2460bis-04.txt

Please review this draft to verify that the changes are appropriate.

This is part of the project to move the core IPv6 specifications to Internet Standard.

Regards,
Bob

p.s.  The next draft (-05) will to incorporate the updates dealing with fragmentation as defined in RFC5722 and RFC6946.  This will be more challenging as the changes to RFC2460 not as clear as the previous updates.

> A new version of I-D, draft-hinden-6man-rfc2460bis-04.txt
> has been successfully submitted by Robert M. Hinden and posted to the
> IETF repository.
> 
> Name:		draft-hinden-6man-rfc2460bis
> Revision:	04
> Title:		Internet Protocol, Version 6 (IPv6) Specification
> Document date:	2015-08-14
> Group:		Individual Submission
> Pages:		31
> URL:            https://www.ietf.org/internet-drafts/draft-hinden-6man-rfc2460bis-04.txt
> Status:         https://datatracker.ietf.org/doc/draft-hinden-6man-rfc2460bis/
> Htmlized:       https://tools.ietf.org/html/draft-hinden-6man-rfc2460bis-04
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-hinden-6man-rfc2460bis-04
> 
> Abstract:
>   This document specifies version 6 of the Internet Protocol (IPv6),
>   also sometimes referred to as IP Next Generation or IPng.  It
>   obsoletes RFC2460
> 
>

---

From: "Manfredi, Albert E" <[email-masked]>
Date: Fri, 14 Aug 2015 21:25:43 +0000

> -----Original Message-----
> From: ipv6 [mailto:[email-masked]] On Behalf Of Bob Hinden

> This is part of the project to move the core IPv6 specifications to Internet

Bob, not specifically responding to those changes you made, but to the more general topic of RFC 2460bis, is there any reason why RFC 791 Appendix B is not being included in these RFCs? That's the one that specifies the bit numbering order and the byte transmission sequence.

Last time I asked, the general response was that "any sane person would do it this way." But the fact is, I keep running into vendors who don't. A cut and paste of that old appendix B would do the trick, pretty much.

Thanks.

Bert